# Generated by Django 3.2.9 on 2021-12-05 13:41

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ApartmentsApp', '0007_rename_apartmentid_apartments_apartmentid'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='apartments',
            name='ReservationStatus',
        ),
        migrations.RemoveField(
            model_name='apartments',
            name='SalesPrice',
        ),
        migrations.RemoveField(
            model_name='projects',
            name='ProjectAvailableApartments',
        ),
        migrations.CreateModel(
            name='ProjectAvailability',
            fields=[
                ('AvailibilityID', models.AutoField(primary_key=True, serialize=False)),
                ('ProjectAvailableApartments', models.IntegerField(blank=True, null=True)),
                ('ScrapingDate', models.DateField(default=datetime.datetime.now)),
                ('ProjectID', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ApartmentsApp.projects')),
            ],
        ),
        migrations.CreateModel(
            name='ApartmentStatus',
            fields=[
                ('StatusID', models.AutoField(primary_key=True, serialize=False)),
                ('ReservationStatus', models.CharField(blank=True, max_length=100, null=True)),
                ('SalesPrice', models.FloatField(blank=True, null=True)),
                ('ScrapingDate', models.DateField(default=datetime.datetime.now)),
                ('ApartmentID', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ApartmentsApp.apartments')),
            ],
        ),
    ]
